Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160778 - Ethereal must be PIE
Summary: Ethereal must be PIE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ethereal
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 09:06 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-18 11:09:42 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2005-06-17 09:06:41 UTC
Ethereal (tethereal and gnome ethereal) are currently not compiled as position
independant executables (PIE).  A number of security issues recently would have
been mitigated somewhat by having Ethereal as PIE.  This is a request that the
next Ethereal update (be it a security update or the next RHEL Update release)
be compiled PIE on RHEL4 and RHEL3.

Comment 6 Mark J. Cox 2005-08-02 09:08:33 UTC
Removing from RHEL3U7Proposed since this will go out in an async Ethereal
security update  RHSA-2005:687

Comment 7 Jindrich Novy 2005-08-02 13:30:44 UTC
Yes, I added some fixes so that ethereal and tethereal is now compiled as PIE.

The new packages will be added to RHSA-2005:687.

Comment 8 Mark J. Cox 2005-11-18 11:09:42 UTC
http://rhn.redhat.com/errata/RHSA-2005-687.html came out on 10th August 2005


Note You need to log in before you can comment on or make changes to this bug.